class AtxLiveMusic::Dates

  attr_accessor :num_date, :string_date, :shows

  @@all = []
  @@seven_days = []

  def initialize(day)
    @num_date = day.strftime("%Y-%m-%d")
    @string_date = day.strftime("%B %-e")
    @shows = []
    @@all << self    
  end

  def self.all
    @@all
  end

  def self.seven_days
    @@seven_days
  end

  def self.get_seven_days
    @@seven_days << Time::now
    
    i = 0    
    while i < 6
      day = @@seven_days.last + 86400
      @@seven_days << day
      i += 1
    end 
    self.create_days   
  end

  def self.create_days
    self.seven_days.each {|day| self.new(day)}
  end 

end